#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSplineSeries>
using namespace QtCharts;
QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void setChart();
    int getValue(char *channel);
	int getScale();
	void timerEvent(QTimerEvent *e);

private slots:
    void on_pushButton_2_clicked();

    void on_pushButton_clicked();

private:
    Ui::MainWindow *ui;
    QSplineSeries *serials0;
    QSplineSeries *serials1;
    QSplineSeries *serials2;
    QSplineSeries *serials3;
    QSplineSeries *serials4;
    QSplineSeries *serials5;
    QSplineSeries *serials6;
    QSplineSeries *serials7;
    QChart        *chart;
	int scale;
	int timerid1;
	float value[8];
};
#endif // MAINWINDOW_H
